Skip to main content
GET
/
api
/
articles
/
feed
curl "https://worker.rushed.com.br/api/articles/feed?minScore=80&limit=10" \
  -H "X-API-Key: rsh_live_xxxxxxxxxxxx"
{
  "success": true,
  "data": [
    {
      "article": {
        "id": "550e8400-...",
        "title": "Petrobras announces record dividend payout",
        "primarySector": "FIN",
        "primaryTopic": "DIV",
        "isBreaking": true
      },
      "score": 181.7,
      "matchReasons": [
        { "type": "sector", "value": "FIN", "baseWeight": 15, "multiplier": 1.5, "finalWeight": 22.5 },
        { "type": "watchlist", "value": "PETR4", "baseWeight": 20, "multiplier": 3.0, "finalWeight": 60.0 },
        { "type": "keyword", "value": "petrobras (title)", "baseWeight": 12, "multiplier": 2.0, "finalWeight": 24.0 }
      ],
      "isRead": false
    }
  ],
  "pagination": { "limit": 10, "offset": 0, "total": 45, "hasMore": true }
}

Description

Returns articles ranked by a personalized score calculated from the user’s sectors, topics, keywords, and watchlist. Each article includes match reasons explaining why it was scored high.

Headers

X-API-Key
string
required
Your Rushed API key: rsh_live_xxxxxxxxxxxx

Query Parameters

minScore
number
default:"70"
Minimum personalized score (0–500+)
unreadOnly
boolean
Only return articles the user hasn’t read
limit
integer
default:"20"
Results per page (1–100)
offset
integer
default:"0"
Skip results

Response

data
array
required
curl "https://worker.rushed.com.br/api/articles/feed?minScore=80&limit=10" \
  -H "X-API-Key: rsh_live_xxxxxxxxxxxx"
{
  "success": true,
  "data": [
    {
      "article": {
        "id": "550e8400-...",
        "title": "Petrobras announces record dividend payout",
        "primarySector": "FIN",
        "primaryTopic": "DIV",
        "isBreaking": true
      },
      "score": 181.7,
      "matchReasons": [
        { "type": "sector", "value": "FIN", "baseWeight": 15, "multiplier": 1.5, "finalWeight": 22.5 },
        { "type": "watchlist", "value": "PETR4", "baseWeight": 20, "multiplier": 3.0, "finalWeight": 60.0 },
        { "type": "keyword", "value": "petrobras (title)", "baseWeight": 12, "multiplier": 2.0, "finalWeight": 24.0 }
      ],
      "isRead": false
    }
  ],
  "pagination": { "limit": 10, "offset": 0, "total": 45, "hasMore": true }
}